Bug 88001 - netpbm update breaks tiff printing
netpbm update breaks tiff printing
Product: Red Hat Linux
Classification: Retired
Component: netpbm (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-04-04 09:57 EST by Brock Sides
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-29 06:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brock Sides 2003-04-04 09:57:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
After updating netpbm to 9.24-9.80.2 from 9.24-6 in accordance with
RHSA-2003:060-01, tiff printing no longer works. (Printing to HP Laserjet
printers using the ljet4 driver, but I don't think that's relevant.) Tiffs print
as "hieroglyphics", just as they do when the netpbm package is not installed.

Downgrading to 9.24-6 fixes the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade netpbm to 9.24-9.80.2
2. Print a tiff using lpr.

Actual Results:  Tiff prints out as "hieroglyphics".

Expected Results:  Tiff should print out correctly.

Additional info:
Comment 1 Brock Sides 2003-04-04 10:05:00 EST
I'm using LPRng, not CUPS.
Comment 2 Brock Sides 2003-04-04 10:16:22 EST
It appears that some files were left out of netpbm-progs-9.24-9.80.2, notably
Comment 3 Phil Knirsch 2003-04-29 06:48:25 EDT
This is an unfortunate sideeffect of the security fixes that went into the
update. Printing pictures directly was considered a huge security risk and
therefor has been removed from the package.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.